From 7830e0520ea2d4074ea2b721dacdc99e0021ebac Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Mon, 30 Nov 2015 00:52:14 -0500
Subject: [PATCH 2007/2012] MacPorts Only: Don't check for the macosx.internal
 SDK

https://llvm.org/bugs/show_bug.cgi?id=25677

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 cmake/Modules/CompilerRTDarwinUtils.cmake | 9 ---------
 1 file changed, 9 deletions(-)

diff --git llvm_release_38/projects/compiler-rt/cmake/Modules/CompilerRTDarwinUtils.cmake macports_release_38/projects/compiler-rt/cmake/Modules/CompilerRTDarwinUtils.cmake
index 895ecdc..2902f9d 100644
--- llvm_release_38/projects/compiler-rt/cmake/Modules/CompilerRTDarwinUtils.cmake
+++ macports_release_38/projects/compiler-rt/cmake/Modules/CompilerRTDarwinUtils.cmake
@@ -2,21 +2,12 @@
 # set the default Xcode to use. This function finds the SDKs that are present in
 # the current Xcode.
 function(find_darwin_sdk_dir var sdk_name)
-  # Let's first try the internal SDK, otherwise use the public SDK.
-  execute_process(
-    COMMAND xcodebuild -version -sdk ${sdk_name}.internal Path
-    OUTPUT_VARIABLE var_internal
-    OUTPUT_STRIP_TRAILING_WHITESPACE
-    ERROR_FILE /dev/null
-  )
-  if("" STREQUAL "${var_internal}")
     execute_process(
       COMMAND xcodebuild -version -sdk ${sdk_name} Path
       OUTPUT_VARIABLE var_internal
       OUTPUT_STRIP_TRAILING_WHITESPACE
       ERROR_FILE /dev/null
     )
-  endif()
   set(${var} ${var_internal} PARENT_SCOPE)
 endfunction()
 
-- 
2.10.1

